package com.mathieubolla.externalui.uibuilder;

public class Output extends Element {
	private final String display;
	private final String id;

	public Output(int blockCount, String display, String id) {
		super(blockCount);
		this.display = display;
		this.id = id;
	}
	
	public String render(int spaceInPercent) {
		return "<div style=\"width:"+spaceInPercent+"%;height:100%;background-color:#AAAAAA;border-radius:0.5em;border-width:1px;border-color:#555555;float:left\" id=\""+id+"\">"+display+"</div>";
	};
	
	public static Output output(int size, String display, String id) {
		return new Output(size, display, id);
	}
}
